#include <fastgl/fastgl.h>

static void wnd_proc(GuiEvent* p)
{
	switch(p->GetType())
	{
		case KEYEVENT:
		    p->wnd->printf("keypress - keysymbol=(\"%s\", %X='%c')\n", p->GetKeySymbolName(p->GetKey()), p->GetKey(), p->GetKey()&127);
		    break;
	}
}

int main(int argc, char **argv)
{
	fgl::App MyApp(2,argc,argv,0,fgl::APP_ALL);
	fgl::Window* w1 = new fgl::Window(&w1, 20, 20, 640, 480, "Test Window", wnd_proc, fgl::CBLACK, fgl::CGRAY1, fgl::WFRAMED|fgl::WMINIMIZE|fgl::WTITLED);
	MyApp.Run();
	return 0;
}

